Package org.opensaml.core.xml.schema

# Interface XSQName

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `AttributedQName`, `FaultCode`, `ProblemHeaderQName`, `RespondWith`

All Known Implementing Classes:
  `AttributedQNameImpl`, `FaultCodeImpl`, `ProblemHeaderQNameImpl`, `RespondWithImpl`, `XSQNameImpl`

public interface XSQName extends XMLObject
XMLObject that represents an XML schema QName content bearing element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`QName`
`getValue()`
Gets the QName content of the element.
`void`
`setValue(QName newValue)`
Sets the QName content of the element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable QName getValue()
Gets the QName content of the element.

Returns:
  the QName content of the element

### setValue

void setValue(@Nullable QName newValue)
Sets the QName content of the element.

Parameters:
  `newValue` - the QName content of the element